export declare class SpwAvatar {
    /** Forme de l'avatar */
    /** Taille de l'avatar */
    size: 'small' | 'medium' | 'large';
    /** URL de l'image de fond */
    image?: string;
    /** Initiales à afficher (si pas d'image) */
    initials?: string;
    /** Contenu de la bubble de notification */
    bubble?: string;
    /** Si true, ajoute un cursor pointer et un effet hover */
    clickable?: boolean;
    /** Label d'accessibilité */
    accAriaLabel?: string;
    private get hostClass();
    private get avatarStyle();
    render(): any;
}
